org.apache.ignite.internal.processors.cache.persistence.partstorage

## Interface PartitionMetaStorage<T extends Storable>

All Known Implementing Classes:
  PartitionMetaStorageImpl

    public interface PartitionMetaStorage<T extends Storable>

Provides a way to associate any `Storable` implementation as partition metadata.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `insertDataRow(T row, IoStatisticsHolder statHolder)`
`byte[]` `readRow(long link)` Read row data by link as byte array.
`void` `removeDataRowByLink(long link, IoStatisticsHolder statHolder)`
`void` `saveMetadata(IoStatisticsHolder statHolder)` Saves storage metadata.

### Method Detail

#### readRow

    byte[] readRow(long link)
            throws IgniteCheckedException

Read row data by link as byte array.

Parameters:
  `link` - Link.
Throws:
  `IgniteCheckedException` - If failed.

#### insertDataRow

    void insertDataRow(T row,
                       IoStatisticsHolder statHolder)
                throws IgniteCheckedException

Parameters:
  `row` - Row.
  `statHolder` - Stat holder.
Throws:
  `IgniteCheckedException`

#### removeDataRowByLink

    void removeDataRowByLink(long link,
                             IoStatisticsHolder statHolder)
                      throws IgniteCheckedException

Parameters:
  `link` - Row link.
Throws:
  `IgniteCheckedException` - If failed.

#### saveMetadata

    void saveMetadata(IoStatisticsHolder statHolder)
               throws IgniteCheckedException

Saves storage metadata.

Throws:
  `IgniteCheckedException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020